dpt-upstream-repo(1)

NAME
dpt-upstream-repo - add upstream Git repository as git remote upstream-repo

SYNOPSIS
dpt upstream-repo [-g|-u]

DESCRIPTION
dpt upstream-repo adds the upstream Git repository as a git remote named upstream-repo. The URL for the repository is read from either debian/copyright's Source field or from debian/upstream/metadata's Repository field.

In case there's no Git URL in debian/copyright and debian/upstream/metadata doesn't exist, the latter is created with dpt-debian-upstream(1).

OPTIONS

-g  Don't create debian/upstream/metadata.

    Used for initial cloning, e.g. with mr up: We want the upstream repo being added if debian/upstream/metadata exists.

    The letter g is used for historical reasons because initially this option only suppressed the automatic committing to the git repository.

-u  Update the URL of the upstream-repo git remote. The value is read from the same places as for the initial creation.

    -u implies -g, i.e. we also don't create debian/upstream/metadata on updates.

SEE ALSO
dpt-debian-upstream(1)

COPYRIGHT & LICENSE

Copyright 2013-2016 gregor herrmann gregoa@debian.org
Copyright 2014 David Bremner bremner@debian.org
Copyright 2015 Axel Beckert <abe@debian.org>

This program is free software, licensed under the same term as perl.